## openstack 0.99.23

=== Makefile ===
#
# Makefile for openstack-install
#
NAME                = openstack
TOPDIR              := $(shell basename `pwd`)
GIT_REV		    := $(shell git log --oneline -n1| cut -d" " -f1)
VERSION             := $(shell ./tools/version)
UPSTREAM_DEB        := https://github.com/Ubuntu-Solutions-Engineering/openstack-installer-deb.git
UPSTREAM_DEB_COMMIT := 4eca059
UPSTREAM_MACUMBA    := https://github.com/Ubuntu-Solutions-Engineering/macumba.git
UPSTREAM_MACUMBA_COMMIT := 5674861
UPSTREAM_MAASCLIENT := https://github.com/Ubuntu-Solutions-Engineering/maasclient.git
UPSTREAM_MAASCLIENT_COMMIT := 357db23

.PHONY: install-dependencies
install-dependencies:
	sudo apt-get -yy install devscripts equivs pandoc
	sudo mk-build-deps -i -t "apt-get --no-install-recommends -y" debian/control

.PHONY: uninstall-dependencies
uninstall-dependencies:
	sudo apt-get remove openstack-build-deps

# sudo make uninstall type=single-system
# (or just sudo make uninstall)
.PHONY: uninstall
uninstall: uninstall-dependencies
	sudo tools/openstack-uninstall ${type}

clean:
	@-debian/rules clean
	@rm -rf debian/cloud-install*
	@rm -rf docs/_build/*
	@rm -rf mockcfgpath
	@rm -rf ../openstack_*.deb ../cloud-*.deb ../openstack_*.tar.gz ../openstack_*.dsc ../openstack_*.changes \
		../openstack_*.build ../openstack-*.deb ../openstack_*.upload ../cloud-install-*.deb
	@rm -rf cover
	@rm -rf .coverage
	@rm -rf .tox

DPKGBUILDARGS = -us -uc -i'.git.*|.tox|.bzr.*|.editorconfig|.travis-yaml|macumba\/debian|maasclient\/debian'
deb-src: clean update_version
	@dpkg-buildpackage -S -sa $(DPKGBUILDARGS)

deb-release:
	@dpkg-buildpackage -S -sd $(DPKGBUILDARGS)

deb: clean update_version man-pages
	@dpkg-buildpackage -b $(DPKGBUILDARGS)

man-pages:
	@pandoc -s docs/openstack-juju.rst -t man -o man/en/openstack-juju.1
	@pandoc -s docs/openstack-status.rst -t man -o man/en/openstack-status.1
	@pandoc -s docs/openstack-install.rst -t man -o man/en/openstack-install.1
	@pandoc -s docs/openstack-uninstall.rst -t man -o man/en/openstack-uninstall.1
	@pandoc -s docs/openstack-config.md -t man -o man/en/openstack-config.5

current_version:
	@echo $(VERSION)

git-sync-requirements:
	@echo Syncing git repos
	rm -rf tmp && mkdir -p tmp
	rm -rf debian
	rm -rf macumba
	rm -rf maasclient
	git clone -q $(UPSTREAM_DEB) tmp/debian
	git clone -q $(UPSTREAM_MACUMBA) tmp/macumba
	git clone -q $(UPSTREAM_MAASCLIENT) tmp/maasclient
	(cd tmp/debian && git checkout -f $(UPSTREAM_DEB_COMMIT))
	(cd tmp/maasclient && git checkout -f $(UPSTREAM_MAASCLIENT_COMMIT))
	(cd tmp/macumba && git checkout -f $(UPSTREAM_MACUMBA_COMMIT))
	rsync -az --delete tmp/debian/debian .
	rsync -az --delete tmp/macumba/macumba .
	rsync -az --delete tmp/maasclient/maasclient .
	rm -rf tmp

git_rev:
	@echo $(GIT_REV)

update_version:
	wrap-and-sort
	@sed -i -r "s/(^__version__\s=\s)(.*)/\1\"$(VERSION)\"/" cloudinstall/__init__.py

.PHONY: ci-test pyflakes pep8 test travis-test
ci-test: pyflakes pep8 travis-test

pyflakes:
	python3 `which pyflakes` cloudinstall test bin

pep8:
	pep8 cloudinstall test bin

$(HOME)/.cloud-install:
	mkdir -p $(HOME)/.cloud-install

NOSE_ARGS = -v --with-cover --cover-package=cloudinstall --cover-html test --cover-inclusive cloudinstall
test: $(HOME)/.cloud-install tox

travis-test: $(HOME)/.cloud-install
	nosetests $(NOSE_ARGS)

tox: $(HOME)/.cloud-install
	@tox

status:
	PYTHONPATH=$(shell pwd):$(PYTHONPATH) bin/openstack-status

# Indirection to allow 'make run' to build deb automatically, but
# 'make sbuild; make run' will not invoke 'deb'.
../openstack*.deb: deb
	echo "rule to make .deb automatically"

.PHONY: install
install: ../openstack*.deb
	-dpkg -i ../openstack_*deb
	-dpkg -i ../openstack-${type}*deb
	apt-get -yy install -f


# sudo make run type=multi proxy=http://localhost:3128/
.PHONY: run
run: install
	MAAS_HTTP_PROXY=${proxy} openstack-install

# sudo make landscape
.PHONY: landscape
landscape: ../openstack*.deb
	-dpkg -i ../openstack*deb
	-dpkg -i ../openstack-multi*deb
	-dpkg -i ../openstack-landscape*deb
	apt-get -yy install -f
	@echo please follow the instructions in
	@echo "/usr/share/openstack/templates/landscape-deployments.yaml"
	@echo and then run `sudo openstack-install` as usual


all: deb

=== requirements.txt ===
PyYAML==3.10
oauthlib==0.6.1
requests==2.2.1
requests-oauthlib==0.4.0
ws4py==0.3.2
passlib
mock
setuptools
urwid
nose
nose-cov
readthedocs-sphinx-ext
nilsimsa==0.2.0
pyflakes>=0.8.1
pep8>=1.5.6
sphinx_rtd_theme
macumba==0.6
maasclient
jinja2
netaddr
tox
coveralls
bson
tornado

=== debian/changelog ===
openstack (0.99.23) wily; urgency=medium

  * Support nclxd
  * Improve threading support in macumba
  * New dialogs
  * Fix breakage with lxc 1.1+
  * Support OpenStack charm from upstream
  * UI: Handle subordinate charms
  * Additional proxy support for Multi install
  * Refactor how services were monitored and acted upon
  * Additional unittests

 -- Adam Stokes <adam.stokes@ubuntu.com>  Thu, 25 Jun 2015 10:25:15 -0400

=== debian/control ===
Source: openstack
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               pep8,
               pyflakes,
               python-all,
               python-setuptools,
               python-tox,
               python3-all,
               python3-bson,
               python3-coverage,
               python3-jinja2,
               python3-mock,
               python3-netaddr,
               python3-nose,
               python3-passlib,
               python3-requests,
               python3-requests-oauthlib,
               python3-setuptools,
               python3-tornado,
               python3-urwid,
               python3-ws4py,
               python3-yaml
Standards-Version: 3.9.6
Homepage: https://launchpad.net/cloud-installer
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Vcs-Browser: https://github.com/Ubuntu-Solutions-Engineering/cloud-installer
Vcs-Git: https://github.com/Ubuntu-Solutions-Engineering/cloud-installer.git

Package: openstack
Architecture: all
Depends: gawk,
         juju-core,
         nmap,
         pwgen,
         python-kombu,
         python3-bson,
         python3-jinja2,
         python3-lxc,
         python3-mock,
         python3-netaddr,
         python3-nose,
         python3-oauthlib,
         python3-passlib,
         python3-requests,
         python3-requests-oauthlib,
         python3-setuptools,
         python3-tornado,
         python3-urwid,
         python3-ws4py,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
         ${python:Depends}
Breaks: cloud-installer (<< 0.99)
Replaces: cloud-installer (<< 0.99)
Description: Ubuntu Openstack Installer
 Ubuntu OpenStack Installer provides an extremely simple way to
 install, deploy and scale an OpenStack cloud on top of Ubuntu server
 and Juju. Deploy onto a single physical system using virtual machines
 for testing, or use MAAS to deploy onto a cluster of any size.
 .
 This package provides the common libraries utilized by the installer
 profiles.

Package: cloud-installer
Section: oldlibs
Architecture: all
Depends: openstack, ${misc:Depends}
Description: transitional dummy package for multi
 This is a transitional dummy package for multi. It can safely be removed.

Package: openstack-multi
Architecture: all
Depends: juju-core, lxc, openstack, qemu-kvm, virtinst, vlan, ${misc:Depends}
Breaks: cloud-install-multi (<< 0.99)
Replaces: cloud-install-multi (<< 0.99)
Description: Ubuntu Openstack Installer (multi-system) - dependency package
 Ubuntu OpenStack Installer provides an extremely simple way to
 install, deploy and scale an OpenStack cloud on top of Ubuntu server
 and Juju. Deploy onto a single physical system using virtual machines
 for testing, or use MAAS to deploy onto a cluster of any size.
 .
 This package provides the multi installer profile.

Package: cloud-install-multi
Section: oldlibs
Architecture: all
Depends: openstack, openstack-multi, ${misc:Depends}
Description: transitional dummy package for multi
 This is a transitional dummy package for multi. It can safely be removed.

Package: openstack-single
Architecture: all
Depends: juju-local, juju-local-kvm, openstack, ${misc:Depends}
Breaks: cloud-install-single (<< 0.99)
Replaces: cloud-install-single (<< 0.99)
Description: Ubuntu Openstack Installer (single-system) - dependency package
 Ubuntu OpenStack Installer provides an extremely simple way to
 install, deploy and scale an OpenStack cloud on top of Ubuntu server
 and Juju. Deploy onto a single physical system using virtual machines
 for testing, or use MAAS to deploy onto a cluster of any size.
 .
 This package provides the single installer profile.

Package: cloud-install-single
Section: oldlibs
Architecture: all
Depends: openstack, openstack-single, ${misc:Depends}
Description: transitional dummy package for single install
 This is a transitional dummy package for single. It can safely be removed.

Package: openstack-landscape
Architecture: all
Depends: juju-deployer, openstack, ${misc:Depends}
Breaks: cloud-install-landscape (<< 0.99)
Replaces: cloud-install-landscape (<< 0.99)
Description: Ubuntu Openstack Installer (landscape) - dependency package
 Ubuntu OpenStack Installer provides an extremely simple way to
 install, deploy and scale an OpenStack cloud on top of Ubuntu server
 and Juju. Deploy onto a single physical system using virtual machines
 for testing, or use MAAS to deploy onto a cluster of any size.
 .
 This package provides the landscape installer profile.

Package: cloud-install-landscape
Section: oldlibs
Architecture: all
Depends: openstack, openstack-landscape, ${misc:Depends}
Description: transitional dummy package for landscape
 This is a transitional dummy package for landscape. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=cloudinstall
export PYBUILD_DISABLE_python2=1
export PYBUILD_INSTALL_DIR=usr/share/openstack/
export PYBUILD_INSTALL_ARGS_python3=--install-lib=usr/share/openstack/ \
	--install-data=usr/ \
	--root=$(CURDIR)/debian/openstack/ \
	--no-compile -O0

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_python2:
	dh_python2 --ignore-shebangs -X cloudinstall\.gui
override_dh_python3:
	dh_python3 --ignore-shebangs
override_dh_installinit:
	dh_installinit --no-start

override_dh_auto_test:
	@echo "No tests."

## openstack 1.0.6

=== debian/changelog ===
openstack (1.0.6) xenial-proposed; urgency=medium

  * Fix openstack-lxd bundle to support nova-lxd's block-device
  * Add 'turnkey' script for importing glance images, setting ssh
    keypairs, and defining a default neutron network

 -- Adam Stokes <adam.stokes@ubuntu.com>  Wed, 20 Apr 2016 11:39:15 -0400

openstack (1.0.5) xenial-proposed; urgency=medium

  * Update dependency for conjure-up
  * Add entry for OpenStack with Nova LXD on Mitaka

 -- Adam Stokes <adam.stokes@ubuntu.com>  Thu, 14 Apr 2016 16:04:25 -0400

openstack (1.0.4) xenial-proposed; urgency=medium

  * Add bootstrap series support to Autopilot
  * Update OpenStack processing hooks to preconfigure some security
    exceptions to allow ssh.

 -- Adam Stokes <adam.stokes@ubuntu.com>  Tue, 12 Apr 2016 09:17:14 -0400

openstack (1.0.3) xenial-proposed; urgency=medium

  * Add processing hooks for Autopilot
  * Add processing hooks for OpenStack

 -- Adam Stokes <adam.stokes@ubuntu.com>  Mon, 11 Apr 2016 12:29:22 -0400

openstack (1.0.2) xenial; urgency=medium

   * Add LXD profile shim
   * debian/
     - Add rsyslog support
     - Fix upstream copyright

 -- Adam Stokes <adam.stokes@ubuntu.com>  Sun, 27 Mar 2016 11:38:02 -0400

openstack (1.0.1) xenial; urgency=medium

  * d/control: add conjure, help2man to build-dep

 -- Adam Stokes <adam.stokes@ubuntu.com>  Thu, 24 Mar 2016 10:48:35 -0400

openstack (1.0.0) xenial; urgency=medium

  * New upstream release
  * Utilizes https://github.com/Ubuntu-Solutions-Engineering/conjure for
    a more streamlined deployment approach utilizing Juju bundles.

 -- Adam Stokes <adam.stokes@ubuntu.com>  Thu, 24 Mar 2016 00:04:31 -0400

openstack (0.99.27) xenial; urgency=medium

  * Support LXD as a toplevel container
  * Mitaka Support

 -- Adam Stokes <adam.stokes@ubuntu.com>  Wed, 17 Feb 2016 11:33:47 -0500

=== debian/control ===
Source: openstack
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: conjure-up, debhelper (>= 9)
Standards-Version: 3.9.7
Homepage: https://github.com/Ubuntu-Solutions-Engineering/openstack-deb
Vcs-Browser: https://github.com/Ubuntu-Solutions-Engineering/openstack-deb
Vcs-Git: https://github.com/Ubuntu-Solutions-Engineering/openstack-deb.git

Package: openstack
Architecture: all
Depends: conjure-up,
         python3,
         python3-glanceclient,
         python3-neutronclient,
         python3-openstackclient,
         ${misc:Depends}
Description: Ubuntu OpenStack Installer
 Ubuntu OpenStack Installer provides an extremely simple way to
 install, deploy and scale an OpenStack cloud on top of Ubuntu server
 and Juju. Deploy onto a single physical system using virtual machines
 for testing, or use MAAS to deploy onto a cluster of any size.

=== debian/rules ===
#!/usr/bin/make -f

PKGDIR=debian/tmp

%:
	dh $@

## openstack 1.0.7.16.04.1

=== debian/changelog ===
openstack (1.0.7.16.04.1) xenial-proposed; urgency=medium

  * Fixes post processing neutron fails to configure network (LP: #1575800)
  * Fixes post processing fails to add ssh keypair (LP: #1575906)
  * Fixes package does not use released charms (LP: #1576412)

 -- Michael McCracken <mike.mccracken@canonical.com>  Fri, 22 Apr 2016 14:50:00 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: conjure-up, debhelper (>= 9)
+Build-Depends: conjure-up, debhelper (>= 9), dh-systemd
 Standards-Version: 3.9.7
 Homepage: https://github.com/Ubuntu-Solutions-Engineering/openstack-deb
 Vcs-Browser: https://github.com/Ubuntu-Solutions-Engineering/openstack-deb

=== debian/rules ===
#!/usr/bin/make -f

PKGDIR=debian/tmp

%:
	dh $@ --with systemd

override_dh_installinit:
	dh_systemd_enable -popenstack --name=openstack openstack.service
	dh_installinit -popenstack --no-start --noscripts
	dh_systemd_start -popenstack --no-restart-on-upgrade

override_dh_systemd_start:
	echo "Not running dh_systemd_start"

## openstack 1.0.7.16.10.1

=== debian/changelog ===
openstack (1.0.7.16.10.1) yakkety; urgency=medium

  * Fixes post processing neutron fails to configure network (LP: #1575800)
  * Fixes post processing fails to add ssh keypair (LP: #1575906)
  * Fixes package does not use released charms (LP: #1576412)

 -- Michael McCracken <mike.mccracken@canonical.com>  Fri, 22 Apr 2016 14:50:00 -0700

## openstack cli-0.0.2

=== requirements.txt ===
click==7.1.2
tabulate==0.9.0
colorama==0.4.6
log-symbols==0.0.14
spinners==0.0.24 
termcolor==2.1.1
halo==0.0.31
inquirer==3.1.2
requests==2.28.1
blessed==1.19.1

## openstack cli-0.0.7

=== requirements.txt ===
setuptools==45.2.0
click==7.1.2
tabulate==0.9.0
spinners==0.0.24 
termcolor==2.1.1
halo==0.0.31
inquirer==3.1.2
requests==2.28.1
blessed==1.19.1

## openstack config-1.0.1.dev3

=== requirements.txt ===
pbr>=2.0.0
osc-lib>=3.1.0
platformdirs>=4.3.6
ruamel.yaml>=0.18.6
glom>=23.5.0
python-openstackclient>=7.1.3
requests>=2.32.3

## openstack debugger-1.0.1

=== requirements.txt ===
pbr!=2.1.0,>=2.0.0 # Apache-2.0
tox>=3.18.0,<5.0.0

oslo.config>=6.8.0 # Apache-2.0
oslo.log>=3.44.0 # Apache-2.0
debugpy>=1.8.2

## openstack debugger-1.0.2

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
sphinxcontrib-seqdiag>=0.8.4  # BSD
sphinx-feature-classification>=0.3.2  # Apache-2.0
sphinxcontrib-blockdiag>=1.5.5  # BSD
reno>=3.1.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0

## openstack debugger-1.0.3

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build
SOURCEDIR     = source

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCEDIR)
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCEDIR)

.PHONY: help clean html dirhtml singlehtml

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  clean      to clean the build directory"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

## openstack governance-0.19.0

=== requirements.txt ===
# NOTE(harlowja): For graph generation tool.
#
# Not currently needed for anything else.
pydot
PyYAML>=3.1.0
yamlordereddictloader
mwclient==0.8.1
ruamel.yaml
jsonschema>=3.2.0

=== doc/requirements.txt ===
sphinxcontrib.datatemplates
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
Pillow>=2.4.0 # PIL License

## openstack placement-10.0.1

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=3.1.1 # Apache-2.0
SQLAlchemy>=1.4.0 # MIT
keystonemiddleware>=4.18.0 # Apache-2.0
Routes>=2.3.1 # MIT
WebOb>=1.8.2 # MIT
jsonschema>=3.2.0 # MIT
requests>=2.25.0 # Apache-2.0
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=21.0.0 # PSF/ZPL
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=6.7.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
oslo.db>=8.6.0 # Apache-2.0
oslo.policy>=3.7.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
# NOTE(efried): Sync lower-constraints.txt for os-traits & os-resource-classes.
os-resource-classes>=1.1.0 # Apache-2.0
os-traits>=3.0.0 # Apache-2.0
microversion-parse>=0.2.1 # Apache-2.0

## openstack requirements-1.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
fixtures>=3.0.0 # Apache-2.0/BSD
Parsley # MIT
six>=1.9.0 # MIT
packaging>=16.5 # Apache-2.0
requests>=2.10.0 # Apache-2.0
PyYAML>=3.10.0 # MIT

## openstack venus-6.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.11,!=2.1.0 # Apache-2.0
pecan>=1.0.0,!=1.0.2,!=1.0.3,!=1.0.4,!=1.2 # BSD
WSME>=0.10.1 # MIT
eventlet>=0.26.0 # MIT
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=4.2.1;python_version=='3.6'
oslo.log>=4.2.1;python_version=='3.7'
oslo.log>=5.0.0;python_version=='3.8'
oslo.context>=2.9.0 # Apache-2.0
oslo.messaging>=10.3.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.service>=1.0.0,!=1.28.1 # Apache-2.0
oslo.db>=10.0.0 # Apache-2.0
os-resource-classes>=0.5.0 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
osprofiler>=3.4.0
SQLAlchemy>=1.4.0 # MIT
alembic>=0.8.10 # MIT
stevedore>=1.5.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
jsonpatch>=1.16,!=1.20 # BSD
psutil>=3.2.2 # BSD
python-glanceclient>=2.3.0 # Apache-2.0
cursive>=0.2.1 # Apache-2.0
microversion_parse>=0.2.1 # Apache-2.0
openstacksdk>=0.46.0 # Apache-2.0
elasticsearch>=2.0.0,<3.0.0  # Apache-2.0
apscheduler>=3.6.0 # MIT License
retrying>=1.3.3
lxml>=4.6.2
PyMySQL>=0.7.11
